%m-file used to plot an x-y surface plot.
% DATA MUST BE SAVED X,Y,DENS
function initial(filename)

data=load(filename);

set(gcf,'position',[1 1 531 1000]);

%a = subplot('position',[0.08 0.52 0.88 0.45]);
%subimage(a)
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z);
ax=surf(rangex,rangey,z)
%snap1 = surf(rangex,rangey,z);
%axis off
grid off
set(gca, 'XLim', [-4 4], 'YLim', [-4 4],'PlotBoxAspectRatio', [1 1 1],'fontsize',35);
box off
view(0,90);
shading interp
lighting gouraud
caxis([0,160])
colormap(jet);
L=colorbar('Ylim',[0 160],'Ytick',[0 160],'FontName','symbol','fontsize',35);
%ylabel(L,'E[$\hbar$ $\omega_0$]','interpreter','latex','fontsize',25) 

xlab = get(gca,'xlabel')
ylab = get(gca,'ylabel')
set(xlab,'string','x [l_0]','fontsize',35) 
set(ylab,'string','y [l_0]','fontsize',35) 


%text(0.5,0.5,'$\hbar$','interpreter','latex');
















